 /***********************************************
 Set up an associative ARRAY.
 The KEYS represent the size of the pie.
 The VALUES represent the cost of the pie (i.e the 10" pie costs $35).
 We use this this ARRAY when the user selects a pie from the form.
 ***********************************************/
 var pie_prices = new Array();
	 pie_prices["Round6"]=20;
	 pie_prices["Round8"]=25;
	 pie_prices["Round10"]=35;
	 pie_prices["Round12"]=75;
 
 
 /***********************************************
 Set up an associative ARRAY. 
 The KEYS represent the filling type.
 The VALUE represents the cost of the filling (i.e. Lemon filling is $5, Dobash filling is $9).
 We use this this ARRAY when the user selects a filling from the form.
 ***********************************************/
 var filling_prices= new Array();
	 filling_prices["None"]=0;
	 filling_prices["Lemon"]=5;
	 filling_prices["Custard"]=6;
	 filling_prices["Fudge"]=7;
	 filling_prices["Mocha"]=8;
	 filling_prices["Raspberry"]=10; 
	 
	 
// getPieSizePrice() finds the price based on the size of the pie. Here, we need to take users selection from the RADIO BUTTON.
function getPieSizePrice()
{  
    var pieSizePrice=0;
	
    // Grab the name of the FORM id="orderform".
    var theForm = document.forms["orderform"];
	
    // Grab the pie the user chooses name=selectedPie".
    var selectedPie = theForm.elements["selectedpie"];
	
    // Here since there are 4 radio buttons selectedPie.length = 4.
    // We loop through each RADIO BUTTON.
    for(var i = 0; i < selectedPie.length; i++)
    {
        // if the RADIO BUTTON is checked
        if(selectedPie[i].checked)
        {
            // We set pieSizePrice to the value of the selected RADIO BUTTON (i.e. if the user choose the 8" pie we set it to 25 using the pie_prices array).
            // We get the selected item value (e.g. pie_prices["Round8".value]").
            pieSizePrice = pie_prices[selectedPie[i].value];
            // If we get a match, we break out of the loop, because there is reason to continue once we get a match.
            break;
        }
    }
	
    // Lastly, we return the "pieSizePrice" variable.
    return pieSizePrice;
}


// This function finds the filling price based on the drop down selection.
function getFillingPrice()
{
    var pieFillingPrice=0;
	
    // Grab the name of the FORM id="orderform".
    var theForm = document.forms["orderform"];
	
    // Grab the name of the SELECT id="filling".
     var selectedFilling = theForm.elements["filling"];
     
    // set pieFillingPrice equal to value user chose. For example filling_prices["Lemon".value] would be equal to 5.
    pieFillingPrice = filling_prices[selectedFilling.value];

    // Lastly, we return the "pieFillingPrice" variable.
    return pieFillingPrice;
}


// candlePrice() finds the candles price based on a check box selection.
function candlePrice()
{
    var candlePrice=0;
	
    // Grab the name of the FORM id="orderform".
    var theForm = document.forms["orderform"];
	
    // Grab the name of the CHECKBOX id="includecandles".
    var includeCandles = theForm.elements["includecandles"];

    // If they checked the box set candlePrice to 5.
    if(includeCandles.checked==true)
    {
        candlePrice=5;
    }
	
    // Lastly, we return the "candlePrice" variable.
    return candlePrice;
}


// balloonsPrice() finds the balloons price based on a check box selection.
function balloonsPrice()
{
    // This local variable will be used to decide whether or not to charge for balloons. If the user checked the box, this value will be 20, otherwise it will remain at 0.
    var balloonsPrice=0;
	
    // Grab the name of the FORM id="orderform".
    var theForm = document.forms["orderform"];
	
    // Grab the name of the CHECKBOX id="includeballoons".
    var includeBalloons = theForm.elements["includeballoons"];
	
    // If they checked the box, set "balloonsPrice" to 20.
    if(includeBalloons.checked==true){
        balloonsPrice=20;
    }
	
    // Lastly, we return the "balloonsPrice" variable.
    return balloonsPrice;
}


// calculateTotal() adds all the prices together and is called each time any element of the form is changed.
function calculateTotal()
{
    // Here we get the total cost by calling our function. Each previous function returns a number, so by adding them, we sum together all the values they contain.
    var orderPrice = getPieSizePrice() + getFillingPrice() + candlePrice() + balloonsPrice();
    
    // Display the "orderPrice" variable using the "totalPrice" id.
    document.getElementById("totalPrice").value = "$"+orderPrice;
}