/*
The code below is called a "function" and is a little complicated and confusing for a basic HTML class. You can see the syntax is a little intricate with lots of braces and parenthesis and junk. Obviously, the part which says "writerThingyIsHere" is a variable, but the other code is all stuff that's gotta be there. Functions can hold all sorts of stuff and get way complicated. Think of a function like a "wrapper" with stuff inside. It might be a gum wrapper, with a simple stick of gum inside, or it might be a burrito wrapped around all kinds of food I don't like. In this example, our function is very simple - we just stuck a "document.write" inside of a function called "writerThingyIsHere" and then we call the "writerThingyIsHere" function by name, back on our HTML page.
But let's not do it that way.
Let's use a simpler approach...
*/

function writerThingyIsHere() {
	document.write('This line is written by JavaScript imported from an included file and uses a FUNCTION.');
}



/*
This is better! Instead of using a function, we can just put our text in a variable (which are called "var" in JavaScript) and give that variable a name - in this case, I called it "theLineOfTextToUse". Then, we will write that variable to the HTML page! Way simpler.
*/

var theLineOfTextToUse='This line is written by JavaScript imported from an included file and uses a VAR.';



/*
Although a VAR is great for one line of code, JavaScript variables can't be divided up into separate lines - they break when you do that. If you need to write something more complicated, like a table, it can get really hard to read all that JavaScript on a single line. In that case, you may want to go back to using a FUNCTION and writing it like you see below. Don't let this code intimidate you. Look carefully. It's less complex than it seems. It's just a table with some extra stuff around each line, so it works as a piece of a JavaScript thingy.
*/
function buildingATableWithJavaScript(){
	document.write('<table border="1" cellpadding="2" cellspacing="2">'+
	'<tr>'+
	'	<td>This table is written with JavaScript. Note how the JavaScript "function" is broken-up into different lines.</td>'+
	'</tr>'+
'</table>');
}

